<?php

namespace EzSystems\Ezp24366Bundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;

class DefaultController extends Controller
{
    public function indexAction( $location, $language )
    {
        $repository = $this->get( 'ezpublish.api.repository' );
        $locationService = $repository->getLocationService();
        $locationObject = $locationService->loadLocation( $location );

        //$routeRefGenerator = $this->get( 'ezpublish.route_reference.generator' );
        //$routeRef = $routeRefGenerator->generate( $location, array( 'language' => $language ) );
        //$link = $this->generateUrl( $routeRef );
        return $this->render(
            'EzSystemsEzp24366Bundle:Default:index.html.twig',
            array(
                'location' => $location,
                'language' => $language,
                //'link' => $link,
                'link' => "",
                'locationObject' => $locationObject,
            )
        );
    }
}

